Subject: Re: Unexpected EOF in 7.2.0

From: John Goerzen <[email-masked]>
Date: Sat, 10 Jul 2021 17:38:10 -0500

On Sat, Jul 10 2021, Sergey Matveev wrote:

>>probable that the first one never generated a packet over 2GB, 
>>so your
>>theory could fit.
>
> I tested previous and current latest 7.3.0 version on 32-bit 
> machine.
> Previous was really incorrectly working with big files: 
> sometimes it can
> produce negative values, sometimes is will just cut the data, 
> but
> provide perfectly valid hashes and successful tossing process on 
> amd64
> machines. I checked 7.3.0 version with big files sending, 
> bundles and
> online commands.

Yes, that fixed the problem.  Thank you!

It is possible I was seeing some of the other symptoms from the 
other Raspberry Pi also.  That would explain a few mysterious 
failures I had now and then.

- John